## com.sun.jersey.api.core
Annotation Type InjectParam

    @Target(value={PARAMETER,METHOD,FIELD})
    @Retention(value=RUNTIME)
    @Documented
    public @interface InjectParam

Used to annotate fields, methods or parameters that shall be injected with instances obtained from Jersey or registered IoC component provider factories that provide support for Guice, Spring or CDI.

When Jersey is used without IoC component provider support this annotation provides basic injection support of beans. References to beans may be obtained be they existing references to instances of resources or just beans that have JAX-RS/Jersey artifacts injected on them.

When Jersey is used with an IoC component provider, such as Guice or CDI, this annotation may be used in conjunction with the Guice or JSR 330-based `@Inject` when references to beans are obtained as parameters of resource methods, sub-resource methods or sub-resource locator methods.

Author:
  Paul.Sandoz@Oracle.Com

Optional Element Summary
`java.lang.String` | `value`

### value

    public abstract java.lang.String value

  Returns:
    the name of the object to inject, by default the name is the class name of the type that is injected.
  Default:
    ""

Copyright © 2017 Oracle Corporation. All Rights Reserved.